<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Hunting Prototype Pollution Bugs — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `scan --url <val>` | Scan for prototype pollution sinks |
| `test --url <val> --property <val>` | Test property injection |
| `gadgets --url <val> --library <val>` | Find exploitable gadget chains |
| `report --url <val> --format <val>` | Generate pollution report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--property` | string | Yes | Property parameter |
| `--library` | string | Yes | Library parameter |
| `--format` | string | Yes | Format parameter |
